#!/bin/sh

export CPPFLAGS="\
-I$HAIKUDIR/headers \
-I$HAIKUDIR/headers/posix \
-I$HAIKUDIR/headers/gnu \
-I$HAIKUDIR/headers/glibc \
-I$HAIKUDIR/headers/os \
-I$HAIKUDIR/headers/os/app \
-I$HAIKUDIR/headers/os/device \
-I$HAIKUDIR/headers/os/drivers \
-I$HAIKUDIR/headers/os/game \
-I$HAIKUDIR/headers/os/interface \
-I$HAIKUDIR/headers/os/kernel \
-I$HAIKUDIR/headers/os/media \
-I$HAIKUDIR/headers/os/mail \
-I$HAIKUDIR/headers/os/midi \
-I$HAIKUDIR/headers/os/midi2 \
-I$HAIKUDIR/headers/os/net \
-I$HAIKUDIR/headers/os/opengl \
-I$HAIKUDIR/headers/os/storage \
-I$HAIKUDIR/headers/os/support \
-I$HAIKUDIR/headers/os/translation \
-I$HAIKUDIR/headers/compatibility/bsd \
"

# workaround for <langinfo.h> in Mono's eglib, <libintl.h> in glib's configure
export CPPFLAGS="$CPPFLAGS \
-I$HAIKUDIR/src/system/libroot/posix/glibc/include \
-I$HAIKUDIR/src/system/libroot/posix/glibc \
-I$HAIKUDIR/src/system/libroot/posix/glibc/locale \
-I$HAIKUDIR/src/system/libroot/posix/glibc/intl \
"

export LDFLAGS="\
-B $HAIKUDIR/generated/objects/haiku/x86/release/system/glue/ \
-B $HAIKUDIR/generated/objects/haiku/x86/release/system/glue/arch/x86/ \
-L$HAIKUDIR/generated/objects/haiku/x86/release/system/libroot/ \
-L$HAIKUDIR/generated/objects/haiku/x86/release/kits/ \
"

